Karia
ReferencesOpenapiContact

Create contact

POST
/organisation/{orgId}/workspace/{workspaceId}/contact

Create a contact in the specified organisation and workspace, with optional contact methods and addresses.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
application/json
  1. body
firstName*string
Length2 <= length <= 50
lastName*string
Length2 <= length <= 50
preferredName*string
Length2 <= length <= 50
middleNames?string
Lengthlength <= 50
title?string
Value in"mr""mrs""miss""ms""dr""sir""lady""prof""reverend""other"
dateOfBirth?string
relationshipStatus?string
Value in"married""separated""divorced""single""de_facto""widowed""unspecified""other"
residencyStatus?string
Value in"au_citizen""permanent_resident""temporary_resident""student_visa""working_holiday_visa""work_visa""nz_citizen""other"
preferredContactMethods?array<>
description?string
externalReference?string
metadata?
type?string
Default"individual"
Value in"individual""business"
contactMethods?array<>
addresses?array<>

Response Body

Successful response

application/json
  1. response
id*number
referenceId*string
Example Request
curl -X POST 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/contact' \  -H 'Content-Type: application/json' \  -d '{  "firstName": "string",  "lastName": "string",  "preferredName": "string"}'
Example Response
{  "id": 0,  "referenceId": "string"}